#include<iostream>
#include<vector>
#include"minecraft.h"
using namespace std;
vector<int> portals(int N, int K)
{
    vector<int> ans;
    for(int i = 1; i <= N && ans.size() != K; i++)
    {
        if(find_portals(i, i)) ans.push_back(i);
    }
    return ans;
}
pair<int, int> minimal_danger(int N, vector<pair<int, pair<int, int>>> paths, vector<int> portals, vector<int> fortresses)
{
    return {0, 1};
}
pair<int, int> find_end_portal(int L)
{
    return {0, 0};
}